#
# spec file for package librsvg
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           librsvg
Version:        2.40.15
Release:        8.1
Summary:        A Library for Rendering SVG Data
License:        LGPL-2.0+ and GPL-2.0+
Group:          System/Libraries
Url:            http://librsvg.sourceforge.net/
Source:         http://download.gnome.org/sources/librsvg/2.40/%{name}-%{version}.tar.xz
Source99:       baselibs.conf
BuildRequires:  gobject-introspection-devel
BuildRequires:  vala
# Avoid cycle: we do not require the adwaita-icon-theme to be present. libgtk-3.0 requires this for end users
#!BuildIgnore:  adwaita-icon-theme
BuildRequires:  pkgconfig(cairo) >= 1.2.0
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.20
BuildRequires:  pkgconfig(gio-2.0) >= 2.24.0
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.10.0
BuildRequires:  pkgconfig(libcroco-0.6)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.7.0
BuildRequires:  pkgconfig(pangocairo) >= 1.32.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains a library to render SVG (scalable vector
graphics) data. This format has been specified by the W3C (see
http://www.w3c.org).

%package -n librsvg-2-2
Summary:        A Library for Rendering SVG Data
License:        LGPL-2.0+
Group:          System/Libraries
# bug437293
%ifarch ppc64
Obsoletes:      librsvg-64bit
%endif
#
Provides:       librsvg2 = %{version}
Obsoletes:      librsvg2 < %{version}
Provides:       librsvg = %{version}
Obsoletes:      librsvg < %{version}

%description -n librsvg-2-2
This package contains a library to render SVG (scalable vector
graphics) data. This format has been specified by the W3C (see
http://www.w3c.org).

%package -n typelib-1_0-Rsvg-2_0
Summary:        A Library for Rendering SVG Data -- Introspection bindings
License:        LGPL-2.0+
Group:          System/Libraries

%description -n typelib-1_0-Rsvg-2_0
This package contains a library to render SVG (scalable vector
graphics) data. This format has been specified by the W3C (see
http://www.w3c.org).

This package provides the GObject Introspection bindings for librsvg.

%package devel
Summary:        Include Files and Libraries mandatory for Development
License:        LGPL-2.0+
Group:          Development/Libraries/C and C++
Provides:       librsvg2-devel = %{version}
Obsoletes:      librsvg2-devel < %{version}
Requires:       librsvg-2-2 = %{version}
Requires:       typelib-1_0-Rsvg-2_0 = %{version}
# bug437293
%ifarch ppc64
Obsoletes:      librsvg-devel-64bit
%endif
#

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%package -n gdk-pixbuf-loader-rsvg
Summary:        A Library for Rendering SVG Data -- gdk-pixbuf loader
License:        LGPL-2.0+
Group:          System/Libraries
Supplements:    packageand(librsvg-2-2:gdk-pixbuf)
%gdk_pixbuf_loader_requires

%description -n gdk-pixbuf-loader-rsvg
This package contains a library to render SVG (scalable vector
graphics) data. This format has been specified by the W3C (see
http://www.w3c.org).

This package provides a librsvg-based gdk-pixbuf loader.

%package -n rsvg-view
Summary:        SVG View using the GNOME Render SVG library
License:        LGPL-2.0+
Group:          System/Libraries

%description -n rsvg-view
This package contains a library to render SVG (scalable vector
graphics) data. This format has been specified by the W3C (see
http://www.w3c.org).

%prep
%setup -q

%build
%configure\
        --disable-static\
        --enable-introspection\
        --enable-vala
make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print

%clean
rm -rf $RPM_BUILD_ROOT

%post -n librsvg-2-2 -p /sbin/ldconfig

%post -n gdk-pixbuf-loader-rsvg
%gdk_pixbuf_loader_post

%postun -n librsvg-2-2 -p /sbin/ldconfig

%postun -n gdk-pixbuf-loader-rsvg
%gdk_pixbuf_loader_postun

%files -n librsvg-2-2
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README
%{_libdir}/librsvg-2.so.*

%files -n typelib-1_0-Rsvg-2_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Rsvg-2.0.typelib

%files -n gdk-pixbuf-loader-rsvg
%defattr(-,root,root)
%{_libdir}/gdk-pixbuf-2.0/*/loaders/libpixbufloader-svg.so

%files -n rsvg-view
%defattr(-,root,root)
%{_bindir}/rsvg-convert
%{_bindir}/rsvg-view-3
%doc %{_mandir}/man1/rsvg-convert.1%{?ext_man}

%files devel
%defattr(-,root,root)
%{_includedir}/librsvg-2.0/
%{_libdir}/librsvg-2.so
%{_libdir}/pkgconfig/librsvg-2.0.pc
%{_datadir}/gir-1.0/Rsvg-2.0.gir
%{_datadir}/gtk-doc/html/rsvg-2.0/
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/librsvg-2.0.vapi
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html

%changelog
* Fri Apr 15 2016 mgorse@suse.com
- Update to GNOME 3.20  Fate#318572
* Sat Apr  2 2016 zaitor@opensuse.org
- Update to version 2.40.15:
  + Librsvg now uses the Contributor Covenant Code of Conduct,
    version 1.4, to which all contributors and maintainers are
    expected to abide. Please see the code_of_conduct.md file for
    details.
  + Fixed builds on Visual Studio pre-2012.
  + Fixed bgo#759084: Don't crash when filters don't actually
    exist.
  + Updated our autogen.sh to use modern autotools.
  + Fixed bgo#761728: Memory leak in the PrimitiveComponentTransfer
    filter.
* Fri Jan  8 2016 zaitor@opensuse.org
- Update to version 2.40.13:
  + Fixed the Windows build.
  + Added basic support for the "baseline-shift" attribute in text
    objects (bgo#340047).
  + Fixed some duplicate logic when rendering paths (bgo#749415).
  + Rewrote the markers engine (bgo#685906, bgo#760180).
* Wed Dec  2 2015 zaitor@opensuse.org
- Update to version 2.40.12:
  + Refactoring of the test harness to use Glib's gtest
    infrastructure, instead of using home-grown machinery.  Tests
    can simply be put as SVG files in the tests/subdirectories; it
    is not necessary to list them explicitly in some text file.
  + Gzipped SVGs now work if read from streams.
  + References to objects/filters/URIs/etc. are now handled lazily.
    Also, there is a general-purpose cycle detector so malformed
    SVGs don't cause infinite loops.
  + Removed parsing of Adobe blend modes; they were not
    implemented, anyway.
  + Bugs fixed: bgo#700911, bgo#630732, bgo#677068.
* Thu Oct  8 2015 zaitor@opensuse.org
- Update to version 2.40.11:
  + Add project files for building on Visual Studio (bgo#753555).
  + Added an "--export-id" option to rsvg-convert(1). This lets you
    select a single object to export, for example, to pick out a
    group from a multi-part drawing.  Note that this is mostly
    useful for PNG output right now; for SVG output we don't
    preserve many attributes which could be useful in the extracted
    version.  Doing this properly requires an internal "output to
    SVG" backend instead of just telling Cairo to render to SVG.
* Sun Aug  9 2015 zaitor@opensuse.org
- Update to version 2.40.10:
  + bgo#748608: Memory leak when Gaussian-blurring.
  + bgo#739329: Font-family attributes with singly-quoted names
    were not handled correctly, yielding incorrect fonts.
  + bgo#476507: Path start/end markers didn't have the correct
    angle if the path was a curve with coincident control points.
  + bgo#688689: Support font-style="normal" within a non-normal
    styled text block.
  + Fixed builddir != srcdir.
  + Remove a bunch of deprecated GTK+ calls.
* Fri May 15 2015 dimstar@opensuse.org
- Remove reference to gtk2-engine-svg from baselibs.conf: this
  subpackage hasn't been built since Oct 22 2013.
* Fri Mar 27 2015 zaitor@opensuse.org
- Update to version 2.40.9:
  + bgo#738367: V/v/H/h commands in path elements were not working.
  + bgo#605875: Gaussian-blurred objects were sometimes missing.
  + bgo#710163: Use _wfullpath() on Windows when canonicalizing
    filenames.
* Fri Feb 27 2015 zaitor@opensuse.org
- Update to version 2.40.8 (boo#916784):
  + Bugs fixed from fuzz testing: bgo#744688 - possible double
    g_free() when processing stroke-dasharray.
  + Optimize rendering of polylines, lines, rectangles, circles,
    and ellipses.  These should be marginally faster, marginally
    more precise, and should put less pressure on the memory
    allocator.
* Mon Feb 16 2015 dimstar@opensuse.org
- Update to version 2.40.7:
  + Fixed unfiled bug from fuzz testing, where the convolution
    filter had an integer multiplication overflow.
  + Fix build of rsvg-convert on Windows.
  + Fix a bunch of compiler warnings.
  + Bugs fixed from fuzz testing: bgo#703102, bgo#738050,
    bgo#738169, bgo#744270, bgo#744299.
* Wed Dec  3 2014 zaitor@opensuse.org
- Update to version 2.40.6:
  + MinGW build fixes.
  + Fix path data number parsing.
  + Fix build with newer libtool.
* Mon Oct 13 2014 dimstar@opensuse.org
- Update to version 2.40.5:
  + bgo#736825: handle: Call close() after write() even on write
    error.
  + bgo#735836: rsvg-convert: Fix argument processing.
* Sun Sep 14 2014 asterios.dramis@gmail.com
- Update to version 2.40.4:
  + rsvg-convert: Handle gzip compressed input (bgo#735836).
* Sat Aug 23 2014 dimstar@opensuse.org
- BuildIgnore adwaita-icon-theme: Avoid cycle: we do not require
  the adwaita-icon-theme to be present. libgtk-3.0 requires this
  for end users.
* Mon Aug 18 2014 dimstar@opensuse.org
- Update to version 2.40.3:
  + Bugs fixed: bgo#731182, bgo#710310, bgo#721354.
* Tue Mar 18 2014 dimstar@opensuse.org
- Update to version 2.40.2:
  + Bugs fixed: bgo#710163, bgo#719552.
* Tue Nov 19 2013 dimstar@opensuse.org
- Update to version 2.40.1:
  + Build fixes.
  + Crash fixes.
* Tue Oct 22 2013 zaitor@opensuse.org
- Update to version 2.40.0:
  + Add support for parsing rgba() colours and improve colour
    parsing.
  + Rsvg-filter: Fix memory leak.
  + Remove support for GTK+2 along with the old theme engine.
  + Require at least version 3.2 of GTK+.
  + Remove support for old versions of gdk-pixbuf.
  + Add eps support to rsvg-convert.
- Drop pkgconfig(gtk+-2.0) BuildRequires, no longer needed nor
  supported.
- Remove gtk2-engine-svg subpackage, no longer built.
* Sat Sep 14 2013 dimstar@opensuse.org
- Update to version 2.39.0:
  + Don't load resources from the net (bgo#691708, CVE-2013-1881).
- The restrictiveness is being correctly addressed by GTK+ 3.9.11;
  we prefer to have the more secure librsvg variant in 13.1.
* Wed Aug 21 2013 zaitor@opensuse.org
- Downgrade to version 2.37.0:
  + We can not use librsvg version 2.39.0 as it is too restrictive
    (bgo#706428).
* Fri Aug 16 2013 dimstar@opensuse.org
- Update to version 2.39.0:
  + Don't load resources from the net (bgo#691708, CVE-2013-1881).
* Thu Jan 10 2013 dimstar@opensuse.org
- Update to version 2.37.0:
  + Bump pango requirement to 1.32.6.
  + Mark pixbuf loader as threadsafe.
* Tue Oct 16 2012 dimstar@opensuse.org
- Update to version 2.36.4:
  + Build fixes.
* Sun Sep  2 2012 dimstar@opensuse.org
- Update to version 2.36.3:
  + Build fixes.
* Sun Aug 19 2012 dimstar@opensuse.org
- Update to version 2.36.2:
  + GObject introspection fixes (bgo#677674).
  + Added Vala bindings (bgo#677676).
  + Deprecate including headers apart from rsvg.h directly.
  + Build fixes (bgo#677661).
- Add vala BuildRequires: needed for the new vala bindings.
- Pass --enable-vala to configure.
* Tue Apr 17 2012 vuntz@opensuse.org
- Update to version 2.36.1:
  + Bugs fixed: bgo#672725, bgo#672791, bgo#672885, bgo#673748.
- Add pkgconfig(gmodule-2.0) BuildRequire: new dependency upstream.
* Mon Mar 26 2012 vuntz@opensuse.org
- Update to version 2.36.0:
  + Bugs fixed: bgo#669563, bgo#672414, bgo#672792, bgo#672725.
- Drop librsvg-gdk-pixbuf-query-loaders-64.patch: fixed upstream,
  by checking for both gdk-pixbuf-query-loaders-64 and
  gdk-pixbuf-query-loaders.
- Remove automake BuildRequires: it was only needed for above
  patch.
- Remove hack in %%install to not install data files for an old
  non-working GTK+ 3 theme: fixed upstream.
* Sat Feb 25 2012 vuntz@opensuse.org
- Remove librsvg:/usr/bin/rsvg Provides from rsvg-view: the
  /usr/bin/rsvg tool doesn't exist anymore.
* Wed Feb  8 2012 vuntz@opensuse.org
- Really build introspection support:
  + Pass --enable-introspection to configure.
  + Add typelib-1_0-Rsvg-2_0 subpackage.
  + Add typelib-1_0-Rsvg-2_0 Requires to devel subpackage.
- Stop passing non-existing --with-svgz option to configure.
- Change group of librsvg-2-2 from Development/Libraries/C and C++
  to System/Libraries.
* Tue Feb  7 2012 vuntz@opensuse.org
- Update to version 2.35.2:
  + Bug fixes.
- Remove xz BuildRequires now that it comes for free in the build
  system.
- Add gobject-introspection-devel BuildRequires to build
  introspection support: somehow, we never did that earlier.
- Drop env-paths.diff: the script that was patched got dropped.
- Remove definition of gtk3-engine-svg subpackage: the gtk+ 3 theme
  engine got removed.
- Remove build_gtk3_support macro and always build with GTK+ 3
  support now that it's all fine.
- Add hack in %%install to not install data files for an old
  non-working GTK+ 3 theme.
* Tue Dec 20 2011 vuntz@opensuse.org
- Update to version 2.35.1:
  + Support basic vertical writing (bgo#664533).
  + Bugs fixed: bgo#664684, bgo#665905, bgo#665824.
  + Several misc. code changes.
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.
- Add explicit pkgconfig(pangocairo) BuildRequires: it was missing
  before.
- Fix license of subpackages: all the code is LGPL-2.0+, except
  some tests that are not shipped in subpackages. The overall
  license of the source package is "LGPL-2.0+ ; GPL-2.0+".
* Thu Dec  1 2011 coolo@suse.com
- Add automake BuildRequires to avoid implicit dependency.
* Mon Nov 14 2011 dimstar@opensuse.org
- Update to version 2.35.0:
  + Update libxml2 dependency to 2.7.0
  + Make GIO and libcroco hard requirements
  + Use attributes for deprecations instead of defines
  + Many memory leaks plugged
  + Bugs fixed: bgo#621636, bgo#630112, bgo#624820, bgo#624835,
    bgo#581108, bgo#614157, bgo#630733, bgo#473862, bgo#590788,
    bgo#626559, bgo#663049, bgo#663049.
- Drop no longer needed pkgconfig() BuildRequires following
  upstream changes: fontconfig, freetype2,, libgsf-1, pangoft2.
- Rebase librsvg-gdk-pixbuf-query-loaders-64.patch.
* Tue Sep  6 2011 vuntz@opensuse.org
- Update to version 2.34.1:
  + Store node type separately in RsvgNode (bgo#658014,
    CVE-2011-3146)
  + cairo: reduce cost of measuring bounding boxes
  + Use "const" instead G_CONST_RETURN (bgo#652213)
  + Call xmlFreeParserCtxt after using the context (bgo#655472)
* Mon Apr  4 2011 fcrozat@novell.com
- Update to version 2.34.0:
  + Allow building rsvg-view with gtk 3
  + Bugs fixed: bgo#629392, bgo#626802, bgo#641586, bgo#640336,
    bgo#635214, fdo#30071, bgo#629412, bgo#630714.
* Mon Nov 15 2010 dimstar@opensuse.org
- Update to version 2.32.1:
  + fdo#30071: Make sure the surfaces own their pixels
  + bgo#630714: Remove stray comma from enum
  + bgo#629412: Dist testcase input file.
* Mon Oct 11 2010 vuntz@opensuse.org
- Add a Provides for librsvg to librsvg-2-2 in baselibs.conf, like
  in the .spec file.
- Add missing Requires for gdk-pixbuf-query-loaders to
  gdk-pixbuf-loader-rsvg in baselibs.conf.
- Add gtk2-engine-svg to baselibs.conf, since we want theme engines
  to be bi-arch too.
* Mon Oct  4 2010 vuntz@opensuse.org
- Fix librsvg-2-2 Provides/Obsoletes to work: they were using
  %%{name} instead of %%{version} for the version. Fix bnc#642068.
* Mon Sep 27 2010 vuntz@opensuse.org
- Update to version 2.32.0:
  + Disable gtk3 build since it's currently broken.
- Drop librsvg-gdk-pixbuf-render-gtk3.patch and
  librsvg-gdkkeysym-compat.patch: those patches are only needed for
  gtk3 support, and the gtk3 support will be enabled upstream when
  they will get fixed.
- Add build_gtk3_support define in .spec, to easily add back the
  gtk3 support to the package. Right now, this means we lose the
  gtk3-engine-svg subpackage.
* Sat Sep 18 2010 vuntz@opensuse.org
- Add librsvg-gdkkeysym-compat.patch to fix build with recent
  versions of GTK+.
* Thu Sep  9 2010 vuntz@opensuse.org
- Add librsvg-gdk-pixbuf-render-gtk3.patch to fix build with
  GTK+ 3: the pixbuf renderer was using API that got removed. The
  patch is correct, but suboptimal, so it's still sitting in
  bugzilla. However, since we're not using this GTK+ engine by
  default, it's okay to use it.
* Fri Jul 23 2010 vuntz@opensuse.org
- Make devel package Require librsvg-2-2 instead of librsvg.
* Wed Jul 21 2010 vuntz@opensuse.org
- Update to version 2.31.0:
  + bgo#337979: text size not rendered correctly
  + bgo#545158: Segfault or bad rendering when displaying a SVG
    file
  + bgo#614556: Background pixbuf in filter process should not be
    created if it's not needed.
  + bgo#616018: cairo-freetype font rendering code should be
    removed.
  + bgo#620130: Decode base64 inplace
  + bgo#620238: crashes rending a trivial file
  + bgo#620592: Use correct free func
  + bgo#620649: Simplify code by using g_clear_error
  + bgo#620693: presentation attributes in svg element are ignored
  + bgo#620822: Build fails with make -jx"
  + bgo#621699: make librsvg gio friendly
  + bgo#622790: use standalone gdk-pixbuf
  + bgo#623383: crash on rsvg-gobject.c:141, in instance_dispose
    function
- Add librsvg-gdk-pixbuf-query-loaders-64.patch to fix the build on
  x86_64, since gdk-pixbuf-query-loaders is renamed to
  gdk-pixbuf-query-loaders-64 there.
- Remove coreutils PreReq.
- Change gtk2-devel, libcroco-devel, libgsf-devel BuildRequires to
  pkgconfig() BuildRequires: cairo, fontconfig, freetype2,
  gdk-pixbuf-2.0, glib-2.0, gio-2.0, gtk+-2.0, libcroco-0.6,
  libgsf-1, libxml-2.0, pangoft2.
- Add pkgconfig(gtk+-3.0) BuildRequires.
- Remove the cairo-devel, libcroco-devel, glib2-devel, gtk2-devel,
  libgsf-devel Requires in devel package: pkgconfig() Requires will
  automatically get added now.
- Version the Provides/Obsoletes of librsvg2 and librsvg2-devel in
  librsvg-2-2 and librsvg-devel to avoid rpmlint warning.
- Split the gdk-pixbuf loader in a gdk-pixbuf-loader-rsvg
  subpackage (that gets installed automatically when gdk-pixbuf is
  installed thanks to a Supplements).
- Create a librsvg-2-2 subpackage that provides/obsoletes librsvg
  (since the main package is empty), and follow the shared library
  policy.
- Create gtk2-engine-svg and gtk3-engine-svg subpackages,
  containing the svg-based theme engines.
* Sat May  8 2010 dimstar@opensuse.org
- Update to version 2.26.3:
  + bgo#143300: wrong bounding box when importing SVG
  + bgo#403274: text in thumbnail too large
  + bgo#404976: Unicode decomposed chars are not rendered well
  + bgo#524690: text alignment incorrect with text-anchor:end
  + bgo#545158: Segfault or bad rendering when displaying a SVG
    file
  + bgo#563933: corrupted rendering of a card in 'Paris' aisleriot
    card theme
  + bgo#564527: rsvg_handle_get_dimensions_sub weird behaviour
  + bgo#564544: shape-rendering crispEdges property is antialiasing
    line elements
  + bgo#566433: Could not read a valid svg file (inkspace read it)
  + bgo#579286: This SVG-File crashes nautilus/rsvg-view
  + bgo#581491: rsvg rendering is broken when encounters a 0px
    styled <text>
  + bgo#589612: EOG error when loading a large SVG
  + bgo#592207: Object cannot be rendered with more than 1 CSS {}
    rule
  + bgo#597873: glib-mkenums cannot be invoked when GLib is
    uninstalled.
  + bgo#597988: incorrect pkgconfig file let's others fail to
    detect librsvg
  + bgo#598151: Incorrect rendering of svg file
  + bgo#608575: Hang on particular SVG input
  + bgo#612951: SVG not rendered if header contains width or height
    in percentage
  + bgo#614123: librsvg builds tests even if tests are not run
  + bgo#614555: should remove unused rsvg_filter_adobe_blend
    function
  + bgo#614566: Needless G_OBJECT macro should be removed.
  + bgo#614606: !important is not respected
  + bgo#614643: does not handle comma separated CSS selector
    without libcroco
  + bgo#614703: Need tests for get_dimensions.
  + bgo#614704: css style doesn't override presentation attributes
  + bgo#614730: Rendering not disabled for 0 sized objects
  + bgo#614866: tests for CSS handling
  + bgo#615490: rsvg-view should scale image size by default if the
    image has huge canvas.
  + bgo#615699: rsvg-view should show zoom ratio.
  + bgo#615701: class directive in svg element is not used at all
  + bgo#615715: .class#id type selector is not supported.
  + bgo#616187: rsvg-view crashes when open a svg image
  + bgo#616835: Fix linking with pedantic linkers
  + bgo#617163: !important directive support without libcroco.
* Tue Mar 30 2010 vuntz@opensuse.org
- Update to version 2.26.2:
  + Enable silent build by default
  + Use GDK_DRAWABLE() instead of non-existing GTK_DRAWABLE()
  + Fix compiler warnings
- Update to version 2.26.1:
  + Remove some deprecated gtk+/gdk functions and bump gtk+
    requirement
  + Fix linking with pedantic linkers
  + Make librsvg compile with -DGSEAL_ENABLED
  + Drop mozilla plugin
* Fri Mar 26 2010 vuntz@opensuse.org
- Stop building the mozilla plugin: browsers now do support svg, so
  it's useless.
- Remove librsvg-plugin subpackage.
- Drop librsvg-xulrunner191.patch and remove
  mozilla-xulrunner-devel BuildRequires.
* Sat Dec 19 2009 jengelh@medozas.de
- Add baselibs.conf as a source
* Wed Sep  2 2009 dimstar@opensuse.org
- Add librsvg-xulrunner191.patch to enable building against
  xulrunner 1.9.1.
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Command-line tools can't handle UTF-8 encoded filenames
    (bgo#557036)
  + Background color setting feature in rsvg_convert program
    (bgo#556969)
  + Gdmgreeter segfault due to libxml2 API/ABI change (bgo#549087)
  + Plug mem leak (bgo#552919)
  + Stop crash due to recursive references (bgo#518640)
  + Don't use deprecated glib symbols
  + Stray Makefile variables (bgo#558039)
  + -I flag-ordering problem breaks build if system already has lib
    installed (bgo#558040)
  + Add rsvg_handle_get_dimensions_sub() (bgo#555682)
  + Add version check macro (bgo#564226)
  + Indicate in the .pc file whether svgz and css support is
    available (bgo#564616)
  + Add function to check whether the SVG document contains an
    element by ID (bgo#567070)
  + Do not allocate RsvgState in rsvg_new_image() (bgo#557082)
  + Plug mem leak (bgo#562546)
  + Clean up GLib and GTK+ includes (bgo#563789)
  + librsvg can not render text-decoration=underline text
    (bgo#566365)
  + Don't use deprecated gdk_pixbuf_unref (bgo#570938)
  + "const static" should be "static const" (bgo#570656)
  + Better error messages (bgo#567307)
  + Crashes on some architectures because of wrong zero check on
    doubles (bgo#565371)
  + Filter nodes are leaked (bgo#475851)
  + Plug mem leaks (bgo#444444)
  + Fails to parse SVG with parameter entities (bgo#567311)
* Sat Feb 28 2009 vuntz@novell.com
- Remove BuildRequires: docbook-toys, gtk-doc
- Remove Requires of devel package: libbz2-devel, libart_lgpl-devel
- Remove --with-html-dir configure flag that breaks the doc
  install, and non-existing --without-gimp flag.
- Move rsvg binary to librsvg package.
- Remove autoreconf call.
- Use makeinstall.
* Sat Jan 31 2009 vuntz@novell.com
- Remove unneeded BuildRequires: docbook-toys,
  libgnomeprintui-devel, update-desktop-files, xmlcharent
- Remove Requires for the devel package: popt-devel, rsvg-view
- Do not have rsvg-view supplement gnome-session: we don't need it
  by default on GNOME
- Remove checks for old versions of openSUSE
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Tue Nov 25 2008 sbrabec@suse.cz
- Supplement gtk2-32bit/gtk2-64bit in baselibs.conf (bnc#354164).
* Fri Oct  3 2008 mboman@suse.de
- Update to version 2.22.3:
  + Make librsvg buildable on windows without freetype dependency
  + Fix build and tests
  + Fix the handling of the stroke-dashoffset property
  + Bad rendering for some wacko SVG path data
  + Fix some arcs not being well drawn in SVG path
  + Fix various crashes
  + Set license field of GdkPixBufFormat in the SVG loader
  + Migrate use of GMemChunk to GSlice
  + If an ID is not found, return an error and/or do not render whole SVG
* Tue Jul 22 2008 coolo@suse.de
- switch to xulrunner190 to avoid java dependency for gnome
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.22.2:
  + Bug fixed: bgo#520261.
* Tue Mar  4 2008 maw@suse.de
- Update to version 2.22.1:
  + Text rendering fixes, especially for non-ASCII text
  + Better cairo integratino
  + Use GIO
  + Use GtkPrint.
* Fri Feb 15 2008 dmueller@suse.de
- split off rsvg-view (20kb), removes 6.2MB from the KDE CD
* Tue Jan 29 2008 maw@suse.de
- Remove libtool archives.
* Tue Jan 29 2008 rodrigo@suse.de
- Update to version 2.20.0:
  * Fixed memory leaks and segfaults
* Mon Sep 10 2007 maw@suse.de
- Update to version 2.18.2
- librsvg-64bit-warning.patch was necessary due to a typo in
  2.18.1; that typo was removed in 2.18.2, and therefore the patch
  has been too.
* Thu Aug 30 2007 maw@suse.de
- Update to version 2.18.1:
  + Basic support for SVG 1.1's text-rendering and shape-rendering
    properties (bugzilla.gnome.org #464599)
- M-x replace-string RET %%run_ldconfig RET /sbin/ldconfig RET
- Add librsvg-64bit-warning.patch.
* Thu Aug  2 2007 mauro@suse.de
- Updated to 2.18.0
- Bugfixes for #412682, #418823, #401115, #444462, #452823, #448327,
  [#444462], #444443, #435129, #409030, #375649, #421697, #421710,
  [#427031], #407230, #402246, #402107, #393297, #388545.
* Mon Jul 16 2007 dmueller@suse.de
- move deprecated rsvg command into -devel subpackage.
  scripts that break should use rsvg-convert instead
* Sat Mar 17 2007 aj@suse.de
- Require python for rsvg command (#242072).
* Mon Feb 19 2007 maw@suse.de
- Update to version 2.16.1
- Remove librsvg-xulrunner.patch which is now upstream.
* Sun Feb 18 2007 aj@suse.de
- Cleanup BuildRequires.
* Tue Feb 13 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552#c17).
* Tue Jan  9 2007 sbrabec@suse.cz
- Patched to build plugin with xulrunner.
* Tue Jan  9 2007 maw@suse.de
- Fix a typo
- (Temporarily) remove the plugin subpackage.
* Tue Jan  9 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Thu Dec 28 2006 jhargadon@suse.de
- removed unused libtool archives (#223654)
* Fri Oct 13 2006 danw@suse.de
- Remove dead patch
* Fri Sep 15 2006 sbrabec@suse.cz
- Removed mDNSResponder-lib from Requires - should be implicit.
* Thu Sep 14 2006 jhargadon@suse.de
- update to version 2.16.0
- librsvg.def: Make export symbols work on OSX
- rsvg-private.h: Some preparation work for color normalization
- Bug 344116: Committed patch from Kouhei Sutou that makes librsvg
  use Pango-Cairo instead of PangoFT2+rendering text as a path.
- rsvg-base.c (rsvg_handle_write_impl): Have libxml2 replace entities
  for us. This fixes a bug where style definitions don't get properly
  expanded, but causes a (2.15.x-only feature) regression when importing
  external ENTITIES.
* Wed Aug 23 2006 jhargadon@suse.de
- update to version 2.15.90
- Bug 348329 make gnome-print dependency optional
- Don't leak PangoFt2 fonts (bug 344235)
- Document _render_sub better (bug 346964)
* Mon Aug 14 2006 ro@suse.de
- use wildcard in filelist for gtk2 version
* Fri Jul 28 2006 ro@suse.de
- include rsvg.devhelp2 in filelist
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct 13 2005 gekker@suse.de
- Update to version 2.12.7
- Fix use of uninitialized variables
* Fri Sep 16 2005 rodrigo@suse.de
- Update to version 2.12.0
* Mon Sep  5 2005 gekker@suse.de
- Update to version 2.11.1 (GNOME 2.12)
* Fri Aug 12 2005 sbrabec@suse.cz
- Fixed devel requirements (#104295).
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements.
* Sun Feb  6 2005 gekker@suse.de
- Update to version 2.9.5
* Wed Jan 19 2005 ro@suse.de
- fixed filelist
* Wed Dec 22 2004 gekker@suse.de
- Update to version 2.8.1
- Make *.svg and *.devhelp install
* Tue May  4 2004 sbrabec@suse.cz
- Updated to version 2.6.5 (GNOME 2.6).
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed %%postun.
- Fixed doc build.
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr and %%run_ldconfig
* Mon Oct 20 2003 sbrabec@suse.cz
- Do not build SVG plug-in (moved to gimp2 package).
* Wed Oct  8 2003 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Tue Aug 26 2003 sbrabec@suse.cz
- Added Provides/Obsoletes for old name.
* Tue Aug 19 2003 sbrabec@suse.cz
- Package renamed (librsvg2 -> librsvg).
* Sun Jul 27 2003 hhetter@suse.de
- fix build
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jul  9 2003 sbrabec@suse.cz
- Branched gimp2-svg (to simplify dependences).
* Wed Jun 25 2003 sbrabec@suse.cz
- Updated to version 2.2.5.
- Updated neededforbuild.
- Turned on GIMP plugin, libgsf and SVGZ support.
* Wed Feb 12 2003 hhetter@suse.de
- install the rsvg loader at the default gdk-pixbuf-loader
  module location
- updated to version 2.2.3 to critical bugs with SVG themes
* Thu Jan 30 2003 hhetter@suse.de
- force running of SuSEconfig.gtk to register the
  librsvg gdk-pixbuf loader
* Tue Jan 28 2003 hhetter@suse.de
- updated to version 2.2.1
- update filelist
- include gdk-pixbuf loaders
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Tue Oct 22 2002 hhetter@suse.de
- remove wrong docdir
- use correct kde datadir
* Fri Sep 27 2002 ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Mon Aug 12 2002 ro@suse.de
- removed control-center from neededforbuild
* Tue Jul 23 2002 hhetter@suse.de
- updated to version 2.0.1
  * trashcan rendering problems fixed
* Tue Jul 23 2002 hhetter@suse.de
- updated to version 2.0.0
* Wed May 15 2002 ro@suse.de
- use libdir
* Mon Apr 15 2002 hhetter@suse.de
- update to version 1.1.6 [gnome desktop beta3]
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 24 2002 hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
